Bug 1473328 - Running fluentd prestart hook 2 caused error: " signal: segmentation fault"
Running fluentd prestart hook 2 caused error: " signal: segmentation fault"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
26
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: Extras, Regression
Depends On: 1472121 1473333
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 09:46 EDT by Frantisek Kluknavsky
Modified: 2017-08-12 14:24 EDT (History)
26 users (show)

See Also:
Fixed In Version: docker-1.13.1-21.git27e468e.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1472121
Environment:
Last Closed: 2017-08-12 14:24:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Kluknavsky 2017-07-20 09:46:46 EDT
+++ This bug was initially created as a clone of Bug #1472121 +++

Description of problem:
Deploy logging 3.5.0 stacks to OCP 3.5, fluentd is in CrashLoopBackOff
# oc get po
NAME                          READY     STATUS             RESTARTS   AGE
logging-curator-1-bpgcj       1/1       Running            0          22m
logging-es-l3izmyfo-1-zcr8k   1/1       Running            0          22m
logging-fluentd-dsz2c         0/1       CrashLoopBackOff   9          22m
logging-fluentd-s69kj         0/1       CrashLoopBackOff   9          22m
logging-kibana-1-xj5mk        2/2       Running            0          22m

# oc logs logging-fluentd-dsz2c
container_linux.go:247: starting container process caused "process_linux.go:334: running prestart hook 2 caused \"error running hook: signal: segmentation fault (core dumped), stdout: , stderr: \""

Version-Release number of selected component (if applicable):
logging-fluentd         3.5.0-19            9f606b56b5d2        10 hours ago        232.8 MB

How reproducible:
Always

Steps to Reproduce:
1.Deploy logging 3.5.0 stacks to OCP 3.5
2.
3.

Actual results:
Fluentd is in CrashLoopBackOff status

Expected results:
Fluentd should be in running status
Comment 1 Fedora Update System 2017-07-20 10:18:19 EDT
docker-1.13.1-21.git27e468e.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-19ab137d6d
Comment 2 Fedora Update System 2017-07-23 05:57:16 EDT
docker-1.13.1-21.git27e468e.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-19ab137d6d
Comment 3 Fedora Update System 2017-08-12 14:24:32 EDT
docker-1.13.1-21.git27e468e.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.